
CREATE TABLE UTLWRENF (
       WRENF_EMPRESA               CHAR(2)   NOT NULL,
       WRENF_UNIDADE               CHAR(8)   NOT NULL,
       WRENF_DATA                  CHAR(8)   NOT NULL,
       WRENF_HORA                  CHAR(10)  NOT NULL,

       WRENF_TIPO_EMPRESA          CHAR(1)   NOT NULL,
       WRENF_COD_EMPRESA           CHAR(5)   NOT NULL,
       WRENF_TIPO_CGC_CPF          CHAR(1)   NOT NULL,
       WRENF_CGC_EMPRESA           CHAR(15)  NOT NULL,
       WRENF_CPF_EMPRESA           CHAR(11)  NOT NULL,
       WRENF_UF                    CHAR(2)   NOT NULL,
       WRENF_IE                    CHAR(15)  NOT NULL,
       WRENF_IEST                  CHAR(15)  NOT NULL,
       WRENF_IM                    CHAR(15)  NOT NULL,
       WRENF_CNAE                  CHAR(7)   NOT NULL,
       WRENF_CRT                   CHAR(1)   NOT NULL,
       WRENF_MOD                   CHAR(2)   NOT NULL,
       WRENF_TIPO_NF               CHAR(3)   NOT NULL,
       WRENF_SERIE_NF              CHAR(3)   NOT NULL,
       WRENF_NUMERO_NF             CHAR(10)  NOT NULL,
       WRENF_DATA_EMISSAO          CHAR(8)   NOT NULL,
       WRENF_DATA_CHEGADA          CHAR(8)   NOT NULL,
       WRENF_HORA_CHEGADA          CHAR(10)  NOT NULL,
       WRENF_NTOP                  CHAR(8)   NOT NULL,
       WRENF_COND_ENTREGA          CHAR(2)   NOT NULL,
       WRENF_CHAVE_NFE             CHAR(44)  NOT NULL,
       WRENF_NPROT                 CHAR(15)  NOT NULL,
       WRENF_BASE_IRRF             DEC(12,2) NOT NULL,
       WRENF_BASE_INSS             DEC(12,2) NOT NULL,
       WRENF_BASE_CSLL             DEC(12,2) NOT NULL,
       WRENF_BASE_ISSRF            DEC(12,2) NOT NULL,
       WRENF_BASE_PISRF            DEC(12,2) NOT NULL,
       WRENF_BASE_COFRF            DEC(12,2) NOT NULL,
       WRENF_VALOR_IRRF            DEC(12,2) NOT NULL,
       WRENF_VALOR_INSS            DEC(12,2) NOT NULL,
       WRENF_VALOR_CSLL            DEC(12,2) NOT NULL,
       WRENF_VALOR_ISSRF           DEC(12,2) NOT NULL,
       WRENF_VALOR_PISRF           DEC(12,2) NOT NULL,
       WRENF_VALOR_COFRF           DEC(12,2) NOT NULL,
       WRENF_VALOR_DESP1           DEC(12,2) NOT NULL,
       WRENF_VALOR_DESP2           DEC(12,2) NOT NULL,
       WRENF_VALOR_DESP3           DEC(12,2) NOT NULL,
       WRENF_VALOR_FRETE           DEC(12,2) NOT NULL,
       WRENF_VALOR_SEGURO          DEC(12,2) NOT NULL,
       WRENF_VALOR_NOTA            DEC(12,2) NOT NULL,
       WRENF_VALOR_ITEM            DEC(12,2) NOT NULL,
       WRENF_PERC_IRRF             DEC(4,2)  NOT NULL,
       WRENF_PERC_INSS             DEC(4,2)  NOT NULL,
       WRENF_PERC_CSLL             DEC(4,2)  NOT NULL,
       WRENF_PERC_ISSRF            DEC(4,2)  NOT NULL,
       WRENF_PERC_PISRF            DEC(4,2)  NOT NULL,
       WRENF_PERC_COFRF            DEC(4,2)  NOT NULL,
       WRENF_TPNF                  CHAR(1)   NOT NULL,
       WRENF_IDDEST                CHAR(1)   NOT NULL,
       WRENF_FINNFE                CHAR(1)   NOT NULL,
       WRENF_INDFINAL              CHAR(1)   NOT NULL,
       WRENF_MODFRETE              CHAR(1)   NOT NULL,
       WRENF_CGC_FRETE             CHAR(15)  NOT NULL,
       WRENF_CPF_FRETE             CHAR(11)  NOT NULL,
       WRENF_UF_FRETE              CHAR(2)   NOT NULL,
       WRENF_INFADFISCO            CHAR(2000),
       WRENF_INFCPL                CHAR(5000),
       WRENF_ANEXO                 CHAR(100) NOT NULL,
       WRENF_MATRICULA             CHAR(15)  NOT NULL,
       WRENF_STATUS                CHAR(02)  NOT NULL );

CREATE UNIQUE INDEX UTL1RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_DATA,
                                           WRENF_HORA );
CREATE        INDEX UTL2RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_TIPO_EMPRESA,
                                           WRENF_COD_EMPRESA );
CREATE        INDEX UTL3RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_TIPO_EMPRESA,
                                           WRENF_CPF_EMPRESA );
CREATE        INDEX UTL4RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_TIPO_EMPRESA,
                                           WRENF_CGC_EMPRESA );
CREATE        INDEX UTL5RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_STATUS );
CREATE        INDEX UTL6RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_CHAVE_NFE );
CREATE        INDEX UTL7RENF ON UTLWRENF ( WRENF_EMPRESA,
                                           WRENF_UNIDADE,
                                           WRENF_CGC_EMPRESA );
CREATE        INDEX UTL8RENF ON UTLWRENF ( WRENF_ANEXO );
GRANT ALL ON UTLWRENF TO BYTEC;

CREATE TABLE UTLWRERF (
       WRERF_EMPRESA               CHAR(2)   NOT NULL,
       WRERF_UNIDADE               CHAR(8)   NOT NULL,
       WRERF_DATA                  CHAR(8)   NOT NULL,
       WRERF_HORA                  CHAR(10)  NOT NULL,

       WRERF_REFNFE                CHAR(44)  NOT NULL,
       WRERF_MATRICULA             CHAR(15)  NOT NULL,
       WRERF_STATUS                CHAR(02)  NOT NULL );

CREATE UNIQUE INDEX UTL1RERF ON UTLWRERF ( WRERF_EMPRESA,
                                           WRERF_UNIDADE,
                                           WRERF_DATA,
                                           WRERF_HORA,
                                           WRERF_REFNFE );
CREATE        INDEX UTL2RERF ON UTLWRERF ( WRERF_EMPRESA,
                                           WRERF_UNIDADE,
                                           WRERF_STATUS );
GRANT ALL ON UTLWRERF TO BYTEC;

CREATE TABLE UTLWRELN (
       WRELN_EMPRESA               CHAR(2)   NOT NULL,
       WRELN_UNIDADE               CHAR(8)   NOT NULL,
       WRELN_DATA                  CHAR(8)   NOT NULL,
       WRELN_HORA                  CHAR(10)  NOT NULL,
       WRELN_LINHA                 CHAR(3)   NOT NULL,

       WRELN_TIPO_ITEM             CHAR(1)   NOT NULL,
       WRELN_TIPO_OC               CHAR(1)   NOT NULL,
       WRELN_NUMERO_OCS            CHAR(10)  NOT NULL,
       WRELN_LINHA_OC              CHAR(2)   NOT NULL,
       WRELN_PARCELA_OC            CHAR(2)   NOT NULL,
       WRELN_CODIGO_ITEM           CHAR(16)  NOT NULL,
       WRELN_ITEM_COTADO           CHAR(50)  NOT NULL,
       WRELN_DATA_COTA             CHAR(8)   NOT NULL,
       WRELN_uCom                  CHAR(4)   NOT NULL,
       WRELN_QTD_RECEBIDA          DEC(11,3) NOT NULL,
       WRELN_QTD_BRUTA             DEC(11,3) NOT NULL,
       WRELN_VALOR_UNIT            DEC(17,9) NOT NULL,
       WRELN_VALOR_ITEM            DEC(12,2) NOT NULL,
       WRELN_indTot                CHAR(1)   NOT NULL,
       WRELN_BASE_FCP              DEC(12,2) NOT NULL,
       WRELN_BASE_FCPST            DEC(12,2) NOT NULL,
       WRELN_BASE_PIS              DEC(12,2) NOT NULL,
       WRELN_BASE_COFINS           DEC(12,2) NOT NULL,
       WRELN_BASE_ISS              DEC(12,2) NOT NULL,
       WRELN_BASE_IPI              DEC(12,2) NOT NULL,
       WRELN_BASE_ICMS             DEC(12,2) NOT NULL,
       WRELN_BASE_DESC             DEC(12,2) NOT NULL,
       WRELN_BASE_SUBT             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCP             DEC(12,2) NOT NULL,
       WRELN_VALOR_FCPST           DEC(12,2) NOT NULL,
       WRELN_VALOR_PIS             DEC(12,2) NOT NULL,
       WRELN_VALOR_COFINS          DEC(12,2) NOT NULL,
       WRELN_VALOR_ISS             DEC(12,2) NOT NULL,
       WRELN_VALOR_ICMS            DEC(12,2) NOT NULL,
       WRELN_VALOR_IPI             DEC(12,2) NOT NULL,
       WRELN_VALOR_SUBT            DEC(12,2) NOT NULL,
       WRELN_VALOR_DESC            DEC(12,2) NOT NULL,
       WRELN_PERC_FCP              DEC(4,2)  NOT NULL,
       WRELN_PERC_FCPST            DEC(4,2)  NOT NULL,
       WRELN_PERC_PIS              DEC(4,2)  NOT NULL,
       WRELN_PERC_COFINS           DEC(4,2)  NOT NULL,
       WRELN_PERC_ISS              DEC(4,2)  NOT NULL,
       WRELN_PERC_IPI              DEC(4,2)  NOT NULL,
       WRELN_PERC_ICMS             DEC(4,2)  NOT NULL,
       WRELN_PERC_DESC             DEC(4,2)  NOT NULL,
       WRELN_PERC_SUBT             DEC(4,2)  NOT NULL,
       WRELN_CFOP                  CHAR(4)   NOT NULL,
       WRELN_COD_ORIGEM            CHAR(1)   NOT NULL,
       WRELN_COD_TRIB              CHAR(2)   NOT NULL,
       WRELN_CSOSN                 CHAR(3)   NOT NULL,
       WRELN_NBMSH                 CHAR(15)  NOT NULL,
       WRELN_CEST                  CHAR(7)   NOT NULL,
       WRELN_EXTIPI                CHAR(3)   NOT NULL,
       WRELN_CST_IPI               CHAR(2)   NOT NULL,
       WRELN_CST_PIS               CHAR(2)   NOT NULL,
       WRELN_CST_COF               CHAR(2)   NOT NULL,
       WRELN_XPED                  CHAR(15)  NOT NULL,
       WRELN_NITEMPED              CHAR(6)   NOT NULL,
       WRELN_INFADPROD             CHAR(500),
       WRELN_MATRICULA             CHAR(15)  NOT NULL,
       WRELN_STATUS                CHAR(02)  NOT NULL );

CREATE UNIQUE INDEX UTL1RELN ON UTLWRELN ( WRELN_EMPRESA,
                                           WRELN_UNIDADE,
                                           WRELN_DATA,
                                           WRELN_HORA,
                                           WRELN_LINHA);
CREATE        INDEX UTL2RELN ON UTLWRELN ( WRELN_EMPRESA,
                                           WRELN_UNIDADE,
                                           WRELN_STATUS);
GRANT ALL ON UTLWRELN TO BYTEC;

CREATE TABLE UTLWRELT (
       WRELT_EMPRESA               CHAR(2)   NOT NULL,
       WRELT_UNIDADE               CHAR(8)   NOT NULL,
       WRELT_DATA                  CHAR(8)   NOT NULL,
       WRELT_HORA                  CHAR(10)  NOT NULL,
       WRELT_LINHA                 CHAR(3)   NOT NULL,
       WRELT_LOTE_ITEM             CHAR(15)  NOT NULL,

       WRELT_DATA_FAB              CHAR(8)   NOT NULL,
       WRELT_DATA_VAL              CHAR(8)   NOT NULL,
       WRELT_QTD_RECEBIDA          DEC(11,3) NOT NULL,
       WRELT_MATRICULA             CHAR(15)  NOT NULL,
       WRELT_STATUS                CHAR(02)  NOT NULL );

CREATE UNIQUE INDEX UTL1RELT ON UTLWRELT ( WRELT_EMPRESA,
                                           WRELT_UNIDADE,
                                           WRELT_DATA,
                                           WRELT_HORA,
                                           WRELT_LINHA,
                                           WRELT_LOTE_ITEM );
GRANT ALL ON UTLWRELT TO BYTEC;

CREATE TABLE UTLWREDP (
       WREDP_EMPRESA               CHAR(2)   NOT NULL,
       WREDP_UNIDADE               CHAR(8)   NOT NULL,
       WREDP_DATA                  CHAR(8)   NOT NULL,
       WREDP_HORA                  CHAR(10)  NOT NULL,
       WREDP_LINHA                 CHAR(3)   NOT NULL,

       WREDP_DATA_DUP              CHAR(8)   NOT NULL,
       WREDP_DOC_DUP               CHAR(5)   NOT NULL,
       WREDP_VALOR_DUP             DEC(12,2) NOT NULL,
       WREDP_MATRICULA             CHAR(15)  NOT NULL,
       WREDP_STATUS                CHAR(02)  NOT NULL );

CREATE UNIQUE INDEX UTL1REDP ON UTLWREDP ( WREDP_EMPRESA,
                                           WREDP_UNIDADE,
                                           WREDP_DATA,
                                           WREDP_HORA,
                                           WREDP_LINHA );
GRANT ALL ON UTLWREDP TO BYTEC;

CREATE TABLE UTLWRELG (
       WRELG_EMPRESA               CHAR(2)   NOT NULL,
       WRELG_UNIDADE               CHAR(8)   NOT NULL,
       WRELG_DATA                  CHAR(8)   NOT NULL,
       WRELG_HORA                  CHAR(10)  NOT NULL,
       WRELG_TIPO                  CHAR(2)   NOT NULL,
       WRELG_LINHA                 CHAR(3)   NOT NULL,
       WRELG_TIPOM                 CHAR(01)  NOT NULL,
       WRELG_MENSAGEM              CHAR(80)  NOT NULL );

CREATE        INDEX UTL1RELG ON UTLWRELG ( WRELG_EMPRESA,
                                           WRELG_UNIDADE,
                                           WRELG_DATA,
                                           WRELG_HORA,
                                           WRELG_TIPO,
                                           WRELG_LINHA,
                                           WRELG_TIPOM,
                                           WRELG_MENSAGEM );
GRANT ALL ON UTLWRELG TO BYTEC;

COMMIT;

